Package: org.codehaus.groovy.vmplugin.v5

## [Java] Class Java5

- org.codehaus.groovy.vmplugin.v5.Java5

- All Implemented Interfaces and Traits:
    VMPlugin

      public class Java5
      extends Object

  java 5 based functions

  Authors:
    Jochen Theodorou

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configureAnnotation(AnnotationNode node)`
    `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `Class[]` | `getPluginDefaultGroovyMethods()`
    `Class[]` | `getPluginStaticGroovyMethods()`
    `void` | `invalidateCallSites()`
    `void` | `setAdditionalClassInformation(ClassNode cn)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void configureAnnotation(AnnotationNode node)

    - #### public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

    - #### public Class[] getPluginDefaultGroovyMethods()

    - #### public Class[] getPluginStaticGroovyMethods()

    - #### public void invalidateCallSites()

    - #### public void setAdditionalClassInformation(ClassNode cn)